import request from "@/utils/request";

// 查询订单列表
export const getList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/tool/send/list",
    method: "get",
    params: query,
  });
};

// 查询订单详情
export const getInfo = (data: string | number) => {
  return request<RespondDataType>({
    url: "/tool/send/" + data,
    method: "get",
  });
};

export const saveDeliver = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/tool/send/deliver",
    method: "post",
    data: data,
  });
};
